org.eclipse.emf.facet.efacet.metamodel.v0_2_0.efacet.extensible

## Interface ExtensibleFactory

    public interface ExtensibleFactory

The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  `ExtensiblePackage`
Generated:

### Field Summary

Fields
`static ExtensibleFactory` `eINSTANCE` The singleton instance of the factory.

### Method Summary

All Methods Instance Methods Abstract Methods
`ExtensiblePackage` `getExtensiblePackage()` Returns the package supported by this factory.

### Field Detail

#### eINSTANCE

    static final ExtensibleFactory eINSTANCE

The singleton instance of the factory.

Generated:

### Method Detail

#### getExtensiblePackage

    ExtensiblePackage getExtensiblePackage()

Returns the package supported by this factory.

Returns:
  the package supported by this factory.
Generated: